APIs / Yaencontre / Search
Yaencontre: Search
Search from Yaencontre as JSON. 1 credit per successful call.
GET /v1/yaencontre/search
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
operation | string | Required | BUY, RENT, TRANSFER |
family | string | Required | FLAT, HOUSE, GARAGE, LAND, NEW_CONSTRUCTION, OFFICE, HOME, BUILDING, BUSINESS |
location | string | Optional | Up to 120 characters |
real_estate_agency_id | integer | Optional | Any |
min_price | integer | Optional | Any |
max_price | integer | Optional | Any |
rooms | integer | Optional | Any |
bathrooms | integer | Optional | Any |
rental_type | string | Optional | LONG_TERM_RENT, SEASONAL_RENT |
lat_min | number | Optional | Any |
lat_max | number | Optional | Any |
lon_min | number | Optional | Any |
lon_max | number | Optional | Any |
size | integer | Optional | Any |
page_number | integer | Required | Any |
page_size | integer | Required | Any |
Example request
curl "https://api.perceptlayer.com/v1/yaencontre/search?operation=BUY&family=FLAT&location=madrid&page_size=2" \
-H "X-API-Key: $API_KEY"Run this endpoint in the playground with your own parameters. 1 credit per successful call; failed calls are free.